package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)枚举类
*
* @author zxfei
*/
public enum GoWorkResultEnum {
    正常(1, "正常"),
    请假(2, "请假"),
    缺卡(3, "缺卡"),
    迟到(4, "迟到"),
    早退(5, "早退");
    private Integer value;
    private String desc;

    GoWorkResultEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static GoWorkResultEnum getByValue(Integer value) {
        for (GoWorkResultEnum goWorkResultEnum : GoWorkResultEnum.values()) {
            if (goWorkResultEnum.getValue() == value) {
                return goWorkResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (GoWorkResultEnum item : GoWorkResultEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}